Package pygeodesy :: Module albers :: Class AlbersEqualArea4 |
[frames] | no frames]

# Class AlbersEqualArea4

      object --+
               |
    named._Named --+
                   |
    named._NamedBase --+
                       |
             _AlbersBase --+
                           |
                          AlbersEqualArea4

An Albers equal-area (authalic) projection specified by the `sin` and `cos` of both standard parallels.

See Also: AlbersEqualArea and AlbersEqualArea2.

Instance Methods
__init__(self, slat1, clat1, slat2, clat2, k1=1, datum=Datum(name='WGS84', ellipsoid=Ellipsoids.WGS84, transform=Tran`...`, **name) New AlbersEqualArea4 projection. |
Inherited from `_AlbersBase`: `forward`, `rescale0`, `reverse`, `toRepr`, `toStr` Inherited from `named._NamedBase`: `__repr__`, `__str__`, `others` Inherited from `named._Named`: `__format__`, `__imatmul__`, `__matmul__`, `__rmatmul__`, `attrs`, `classof`, `copy`, `dup`, `methodname`, `rename`, `renamed`, `toStr2` Inherited from `object`: `__delattr__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Properties
Inherited from `_AlbersBase`: `a`, `datum`, `ellipsoid`, `equatoradius`, `f`, `flattening`, `isPolar`, `ispolar`, `lat0`, `lat1`, `lat2`, `majoradius`, `scale0` Inherited from `named._Named`: `classname`, `classnaming`, `iteration`, `name`, `named`, `named2`, `named3`, `named4`, `sizeof`, `typename` Inherited from `object`: `__class__`

Method Details

### __init__ (self, slat1, clat1, slat2, clat2, k1=1, datum=Datum(name='WGS84', ellipsoid=Ellipsoids.WGS84, transform=Tran`...`, **name) (Constructor) |
New AlbersEqualArea4 projection. Arguments: `slat1` - Sine of first standard parallel (`scalar`). `clat1` - Cosine of first standard parallel (non-negative `scalar`). `slat2` - Sine of second standard parallel (`scalar`). `clat2` - Cosine of second standard parallel (non-negative `scalar`). `k1` - Azimuthal scale on the standard parallels (`scalar`). `datum` - Optional datum or ellipsoid (Datum, Ellipsoid, Ellipsoid2 or a_f2Tuple). `name` - Optional `name=NN` for the projection (`str`). Raises: `AlbersError` - Negative `clat1` or `clat2`, `slat1` and `slat2` have opposite signs (hemispheres), invalid `k1` or no convergence. Overrides: object.__init__